Log in or register to post comments

Unity 5.1 and Vuforia 4.2.3 Crash on iOS

July 28, 2015 - 5:54am #1

Hi guys,

I am using Unity 5.1 and have Vuforia Unity 4.2.3 plugin installed.

I have a small scene with AR camera and an image target. Everything works fine on the Unity Editor if i press play. I tested in android and it also works without a problem. However, in iOS i crashes in this line:
 

AllocateRenderBufferStorageFromEAGLLayer((__bridge void*)surface->context, (__bridge void*)surface->layer);

I get a "bad access" error. It crashes on:

  • iPhone 6-  iOS 8.2
  • iPad mini with iOS 8.4.

With an iPhone 4S with iOS 8.3 it works though.

Nothing in the logs seems helpful, so I won't paste here.

Cheers

Unity 5.1 and Vuforia 4.2.3 Crash on iOS

July 28, 2015 - 7:40am #8

Version 6.4 (6E35b)

I think I'll give up on Unity and just go native, the problem is irrlicht doesn't seem to be friends with vuforia

Unity 5.1 and Vuforia 4.2.3 Crash on iOS

July 28, 2015 - 7:37am #7

One more question:

what version of Xcode are you using ?

Unity 5.1 and Vuforia 4.2.3 Crash on iOS

July 28, 2015 - 7:22am #6

 we are aware of a similar issue with Unity 5.1.2 (5.12f1 and 5.1.2p1),and with 5.1.1 patch p1/p2/p3p4 on iOS, which are being discussed in this thread:

https://developer.vuforia.com/forum/issues-and-bugs/crash-il2cpp-unity-511-32-bits

 

But for Unity 5.1.1f1 we haven't been able to reproduce the crash you describe;

nevertheless the AllocateRenderBufferStorageFromEAGLLayer error that you reported in your first post is also reported in the Unity forums (not specifically related to Vuforia):

http://issuetracker.unity3d.com/issues/ios-crash-in-allocaterenderbufferstoragefromeagllayer-on-ios-8-dot-3

That thread apparently refers to iOS 8.3 and Unity 5.1.2, but the type of error seems to be pretty identical to what you were seeing. 

 

Unity 5.1 and Vuforia 4.2.3 Crash on iOS

July 28, 2015 - 7:11am #5

5.1.1f1

Unity 5.1 and Vuforia 4.2.3 Crash on iOS

July 28, 2015 - 7:10am #4

Ok, and what version were you using when you reported the issue in your first post ?

  • 5.1.0f1
  • 5.1.1f1
  • 5.1.1p1
  • 5.1.1p2
  • 5.1.1p3
  • 5.1.1p4 ?

 

Unity 5.1 and Vuforia 4.2.3 Crash on iOS

July 28, 2015 - 6:56am #3

Just updated to Unity 5.1.2f1m and now it crashes in this line on the same devices:
 

QCARManagerImpl_UpdateTrackers_m2308(__this, L_25, /*hidden argument*/NULL);

 

Unity 5.1 and Vuforia 4.2.3 Crash on iOS

July 28, 2015 - 6:47am #2

Are you using Unity 5.1.2 ?

 

Log in or register to post comments